org.apache.calcite.avatica

## Class MetaImpl.MetaSchema

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSchema

All Implemented Interfaces:
  MetaImpl.Named

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaSchema
    extends Object
    implements MetaImpl.Named

Metadata describing a schema.

### Field Summary

Fields
`String` `tableCatalog`
`String` `tableSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaSchema(String tableCatalog, String tableSchem)`

### Method Summary

Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableSchem

    public final String tableSchem

#### tableCatalog

    public final String tableCatalog

### Constructor Detail

#### MetaImpl.MetaSchema

    public MetaImpl.MetaSchema(String tableCatalog,
                       String tableSchem)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`